PIUS-REPORT(1)

NAME
pius-report - PIUS (PGP Individual UID Signer) Report Tool

SYNOPSIS
pius-report [options]

DESCRIPTION
pius-report sends out reminders to participants of a keysigning party, pointing out what they still need to do. The reminders are personalized.

OPTIONS

-h, --help
    show this help message and exit

-b PATH, --gpg-path=PATH
    Path to gpg binary. [default: /usr/bin/gpg]

-d, --debug
    Enable debugging output.

-s KEYID, --signer=KEYID
    The key you sign with.

-r KEYRING, --keyring=KEYRING
    Party keyring to use.

-m EMAIL-ADDRESS, --mail=EMAIL-ADDRESS
    Email the encrypted, signed keys to the respective email addresses. EMAIL-ADDRESS is the address to send from. See also -H and -P.

-t TEMP-DIR, --tmp-dir=TEMP-DIR
    Directory to put temporary stuff in. [default: none]

-p NAME, --party=NAME
    Name of the party. This will be printed in the emails sent. Only useful with -m.

--no-refresh
    Do not refresh keys.

-u USER, --mail-user=USER
    Authenticate to the SMTP server with username USER. You will be prompted for the password.

-S,  --no-mail-tls
    Do not use STARTTLS when talking to the SMTP server.

-P PORT,  --mail-port=PORT
    Port of SMTP server. [default: 587]

-O, --no-pgp-mime
    Do not use PGP/Mime when sending email.

-n EMAIL-ADDRESS, --override-email=EMAIL-ADDRESS
    Rather than send to the user, send to this address. Mostly useful for debugging.

-M FILE, --mail-text=FILE
    Use the text in FILE as the body of email when sending out emails instead of the default text. To see the default text use --print-default-email. Requires -m.

-H HOSTNAME, --mail-host=HOSTNAME
    Hostname of SMTP server. [default: localhost]

AUTHOR
PIUS-REPORT was written by Phil Dibowitz <phil@ipom.com>

This manual page was written by Felix Lechner <felix.lechner@gmail.com> for the Debian project, but may be used by others.